Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.web.dhtml
Interface DHTMLDataInfo

    public interface DHTMLDataInfo

DHTML APIs provide APIs for users. With DHTML APIs, users can easily embed the DHTML pages or components into their own JSPs. All the methods in this interface can be invoked by remote server (RMI).

Support the running of multiple report sets in one session, and a report set can include one or more reports.

Descriptions of some key terms:

sessionId: the key of the session in the server (generated by the server automatically when you log in), and users can invoke DHTMLUtil.getSessionID(HttpServletRequest request) to get the key.

rptSetId: the key of the report set in DHTML (generated automatically after the report set has been run), and users can invoke DHTMLUtil.getRptSetId(HttpServletRequest request) to get the key.

rptName: the key of the report in DHTML (retrieved from the report set after the report set has been run), and users can invoke DHTMLUtil.getRptName(HttpServletRequest request) to get the key.

Note of using this DHTML API:

You must follow a certain order for the method which use the parameters "sessionId", "rptSetId" and "rptName" in dhtml.jsp. For example: getSortColumns(String sessionId, String rptSetId, String rptName, String subRptKey, String comName, boolean isDateSet) must be called after the code "Map tmpmap = DHTMLUtil.runReport(request, params);", because the parameters are offered after the report set has been run. If the wrong order is used, a jsp error will be generated. And there is no specified order for the other api methods that do not use the parameters.

Method Summary
`java.lang.String[]` | `getBusinessCubeNames(java.lang.String rptSetId, java.lang.String subRptKey)` Gets names of business cube tree.
`java.lang.String[][]` | `getFilterColumns(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName, boolean isDateSet)` Gets all columns' mapping name and display name for filter action.
`java.lang.String[]` | `getFilterComponents(java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey)` get all components' name for filter action.
`java.lang.String[][]` | `getSortColumns(java.lang.String sessionId, java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey, java.lang.String comName, boolean isDateSet)` Gets all columns' name mapping name and display name for sort action.
`java.lang.String[]` | `getSortComponents(java.lang.String rptSetId, java.lang.String rptName, java.lang.String subRptKey)` get all components' name for sort action.

Method Detail

### getSortColumns

    java.lang.String[][] getSortColumns(java.lang.String sessionId,
                                        java.lang.String rptSetId,
                                        java.lang.String rptName,
                                        java.lang.String subRptKey,
                                        java.lang.String comName,
                                        boolean isDateSet)
                                        throws JRScheduleException

  Gets all columns' name mapping name and display name for sort action.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `comName` - component name.
    `isDateSet` - if data set 's component.
  Returns:
    all sort columns's names. as if [["mappingName1","dispalyName1"],["mappingName2","dispalyName2"]]
  Throws:
    `JRScheduleException`

### getFilterColumns

    java.lang.String[][] getFilterColumns(java.lang.String sessionId,
                                          java.lang.String rptSetId,
                                          java.lang.String rptName,
                                          java.lang.String subRptKey,
                                          java.lang.String comName,
                                          boolean isDateSet)
                                          throws JRScheduleException

  Gets all columns' mapping name and display name for filter action.

  Parameters:
    `sessionId` - the user session id.
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
    `comName` - component name.
    `isDateSet` - if data set 's component.
  Returns:
    all filter columns's names. * as if [["mappingName1","displayName1"],["mappingName2","displayName2"]] fist is mappingName second is displayname
  Throws:
    `JRScheduleException`

### getSortComponents

    java.lang.String[] getSortComponents(java.lang.String rptSetId,
                                         java.lang.String rptName,
                                         java.lang.String subRptKey)
                                         throws JRScheduleException

  get all components' name for sort action.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
  Returns:
    all components's names.
  Throws:
    `JRScheduleException`

### getFilterComponents

    java.lang.String[] getFilterComponents(java.lang.String rptSetId,
                                           java.lang.String rptName,
                                           java.lang.String subRptKey)
                                           throws JRScheduleException

  get all components' name for filter action.

  Parameters:
    `rptSetId` - the report set id.
    `rptName` - the report name.
    `subRptKey` - the key of the engine.
  Returns:
    all components's names
  Throws:
    `JRScheduleException`

### getBusinessCubeNames

    java.lang.String[] getBusinessCubeNames(java.lang.String rptSetId,
                                            java.lang.String subRptKey)

  Gets names of business cube tree.

  Parameters:
    `rptSetId` - the report set id.
    `subRptKey` - the key of the engine.
  Returns:
    names of business cube tree.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD